App refreshes content at unexpected times (phone call, notification/control center usage, etc.)
Closed, ResolvedPublic

Description

Repro steps

  1. Launch the app and go to "Home" tab
  2. Wait until feed loads
  3. Drag from the bottom to bring up control center (i.e. where airplane mode and other settings are)

Expected results

Nothing should happen, feed content should remain the same.

Actual results

Bringing up control center causes the app to attempt to refresh its content.


Dev Notes

This is due to content being reloaded on didBecomeActive instead of willEnterForeground.

Acceptance Criteria

Home View
Scenario: Feed Reloading

Given that I am in the Home view
When I (raise the iOS Control Center | lower the iOS Notification Center)
Then the feed should not change

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2015, 6:00 PM
BGerstle-WMF triaged this task as Normal priority.Oct 6 2015, 6:08 PM
BGerstle-WMF set Security to None.
JMinor updated the task description. (Show Details)Oct 22 2015, 10:45 PM
JMinor closed this task as Resolved.Nov 18 2015, 8:10 PM
JMinor added a subscriber: JMinor.